module OW_rndseed

use OW_exec_time
implicit none

contains

!---------------------------------------------
SUBROUTINE init_random_seed(n1,n2,rand1)

   real 				:: rnd,rand1(n1*n2)
   integer                 		:: n1,n2
   

   call random_number(rand1)
   rand1=(rand1-0.5)*2.

END SUBROUTINE
end module
